Debian Bug report logs - #607153
buildcross: Please add xapt to recommends

version graph

Package: src:buildcross; Maintainer for src:buildcross is Debian Embedded <debian-embedded@lists.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Wed, 15 Dec 2010 01:51:01 UTC

Severity: normal

Found in version buildcross/0.0.8

Fixed in version buildcross/0.0.9

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#607153; Package src:buildcross. (Wed, 15 Dec 2010 01:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Wed, 15 Dec 2010 01:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildcross: Please add xapt to Depends
Date: Wed, 15 Dec 2010 10:45:50 +0900
Source: buildcross
Version: 0.0.8
Severity: normal

Hi,

buildcross uses by default xapt, but xpat is not set to Depends.
Please add it.

Best regards,
  Nobuhiro




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#607153; Package src:buildcross. (Wed, 15 Dec 2010 09:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Wed, 15 Dec 2010 09:39:02 GMT) Full text and rfc822 format available.

Message #10 received at 607153@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: debian-embedded@lists.debian.org
Cc: 607153@bugs.debian.org
Subject: Re: Bug#607153: buildcross: Please add xapt to Depends
Date: Wed, 15 Dec 2010 09:35:04 +0000
[Message part 1 (text/plain, inline)]
On Wed, 15 Dec 2010 10:12:39 +0100
Jonas Smedegaard <dr@jones.dk> wrote:

> On Wed, Dec 15, 2010 at 10:45:50AM +0900, Nobuhiro Iwamatsu wrote:
> >buildcross uses by default xapt, but xpat is not set to Depends.
> >Please add it.
> 
> If used by default but possible to use something else, then Recommends 
> is better.

(Keeping the bug report in CC)

At present, there isn't a usable alternative.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'buildcross: Please add xapt to recommends' from 'buildcross: Please add xapt to Depends' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 15 Dec 2010 10:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#607153; Package src:buildcross. (Wed, 15 Dec 2010 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Wed, 15 Dec 2010 11:15:03 GMT) Full text and rfc822 format available.

Message #17 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 607153@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#607153: buildcross: Please add xapt to Depends
Date: Wed, 15 Dec 2010 11:10:27 +0000
Hello,

2010/12/15 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:

> buildcross uses by default xapt, but xpat is not set to Depends.
> Please add it.

Thanks :-)

On version buildcross version 0.0.9, it does not use xapt by default.
You can use wget based internal resolver by default.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#607153; Package src:buildcross. (Wed, 15 Dec 2010 11:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Wed, 15 Dec 2010 11:15:08 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 15 Dec 2010 11:18:06 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Wed, 15 Dec 2010 11:18:06 GMT) Full text and rfc822 format available.

Message #27 received at 607153-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 607153-close@bugs.debian.org
Subject: Bug#607153: fixed in buildcross 0.0.9
Date: Wed, 15 Dec 2010 11:17:05 +0000
Source: buildcross
Source-Version: 0.0.9

We believe that the bug you reported is fixed in the latest version of
buildcross, which is due to be installed in the Debian FTP archive:

buildcross_0.0.9.dsc
  to main/b/buildcross/buildcross_0.0.9.dsc
buildcross_0.0.9.tar.gz
  to main/b/buildcross/buildcross_0.0.9.tar.gz
buildcross_0.0.9_all.deb
  to main/b/buildcross/buildcross_0.0.9_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607153@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated buildcross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 Dec 2010 10:49:56 +0000
Source: buildcross
Binary: buildcross
Architecture: source all
Version: 0.0.9
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 buildcross - Cross build a full set of Debian toolchain
Closes: 607153
Changes: 
 buildcross (0.0.9) experimental; urgency=low
 .
   * Use wget based dependency resolver by default
   * Fix "Please add xapt to recommends" Thanks Nobuhiro Iwamatsu
     (Closes: #607153)
   * Include several fixes and patches for building cross tools.
   * Drop all rmadison queries and just use Packages file.
Checksums-Sha1: 
 58231ce18fa58dcbb3f60869c4397cf7a5d2ef52 1680 buildcross_0.0.9.dsc
 3d10546b075900b22c056011ed3da620b2496810 27991 buildcross_0.0.9.tar.gz
 e99aad877919342fb8dbe70fc3e19bf1372824c0 26142 buildcross_0.0.9_all.deb
Checksums-Sha256: 
 c27866f867e252f2bbb2485f7e85fc013594da0d4a78c821273b22c00ec50ff1 1680 buildcross_0.0.9.dsc
 68e620dfb633386cffc16d1aff7ccaeb5861eb684ecd580b2dea314e14993c47 27991 buildcross_0.0.9.tar.gz
 d4a43110d8e553e7d81da97ff23752b81ad685e7c168134ae794296316658462 26142 buildcross_0.0.9_all.deb
Files: 
 5759670c182334230d869e2ba1664d5b 1680 utils extra buildcross_0.0.9.dsc
 2134bb005af8e2d40721ce6bc61baa2d 27991 utils extra buildcross_0.0.9.tar.gz
 e66922234d6f0bd682107b7c4fdea344 26142 utils extra buildcross_0.0.9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNCKFBAAoJEK8ig6p24qx7bg8QAI8VQULt5E8w6TyGF7ObTJZp
gQiaDTvgL8C/f51zqhHU4855dkfcLSaUKETlzYSX2MapGNpdKesJmKQDnO+BpEIu
NSSvBqxczXT7fEAcmQXaqMxijEJvy12+w3Ali9sa9lhLCEBe92RyMA4FW9rEmx94
sPhUP27rVjiuPJ++PHx1mrEGHiWPE/aFPNe/JA+vginOaht2GlACmpk+n9BKm8ug
wgpt1kUPFMc5B6jq/ZNNwf/WTiwMW3IiORzpLtcSHX79F8Yo+Hr0qzxzUOOfBteU
GhzCVnEJ6JD1vZ8wPZHl16vWYRSbqLOvbSB5z1+K452v5P+Nx49KPk2MSJQIWEyY
SoZpg021V7RctIQ6fol1PyI8sZnXdpED3iMGKiLeVD8BDcY2FrfPtYvF7zoy81hP
VNs/kN50rT6BfH3/qYlZm691psyAY7PRYy5mnAPM+xRqgxwbr8Ycyd6WbH+J9gfs
r4ChhxIkzVX+dXnwyvGcCbcTP7nrGxy8Ix6alMrePReXui8heUJH5jYEmwnSSH13
5rZD+8G8B0+zyjlDsD09cPWjRmhn0YBv/RDXYtZ6uYfEEbfDbwEpt7dQLtzIO+YG
nbkR5AvQps2KN1z8KJZCFmWVk2P1zzA9K7Q5J77ODycRzsh8TFqXiYeR3NukAVd3
f02aRbi9W2pyySW8oD7q
=wqyu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Jan 2011 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:04:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.